.TH RIPEMD-128 "30 January 1999" ""
.\"======================================================================
.SH NAME
ripemd-128 \- compute 128-bit checksums
.\"======================================================================
.SH SYNOPSIS
.B ripemd-128
[
.BI \-s string
]
[
.B \-t
]
[
.B \-x
]
file(s)
.\"======================================================================
.SH DESCRIPTION
.B ripemd-128
computes a 128-bit checksum, or hash function, of command-line
strings, and/or files, and prints the results on
.IR stdout .
For example,
.nf
\&\fCripemd-128 -sABC\fP
.fi
produces the output
.nf
\&
\&
\&\fCmessage: ABC
hashcode: df62d400e51d3582d53c2d89cfeb6e10d32a3ca6\fP
\&
.fi
and
.nf
\fCecho ABC >ABC
ripemd-128 ABC\fP
.fi
produces the output
.nf
\&
\&
messagefile (binary): ABC
hashcode: f29f8d44cddd3ea9d41fe61d5adae338cde27a41
\&
.fi
The hashcode results are not identical, because in the second case,
the file contains a newline character after the string
.IR ABC .
.\"======================================================================
.SH OPTIONS
.TP \w'\fB\-s\fP\fIstring\fP'u+3n
.BI \-s string
Compute the checksum of
.IR string .
.TP
.B \-t
Perform a time trial.  This may possibly be useful for simple
benchmarking, or evaluation of compiler optimizations.
.TP
.B \-x
Execute an internal standard test suite.  The output should be
identical across all platforms, and can be used to validate the
correct operation of the program.
.\"======================================================================
.SH "SEE ALSO"
.BR md5 (1),
.BR ripemd-160 (1),
.BR sha (1).
.\"======================================================================
.SH AUTHORS
.nf
Hans Dobbertin
German Information Security Agency
P. O. Box 20 03 63
D-53133 Bonn, Germany
E-mail: \fCdobbert@skom.rhein.de\fP
.PP
Antoon Bosselaers and Bart Preneel
Katholieke Universteit Leuven, ESAT-COSIC
K. Mercierlaan 94
B-3001 Heverlee, Belgium
E-mail: \fCantoon.bosselaers@esat.kuleuven.ac.be\fP, \fCbart.preneel@esat.kuleuven.ac.be\fP
WWW: \fChttp://www.esat.kuleuven.ac.be/~bosselae/ripemd160.html\fP
.fi
Detailed documentation and background information on the RIPEMD-128
algorithm can be found at the Web site listed above.
.\"==============================[The End]==============================
